Last Comment Bug 681715 - buffer-offscreen-test.html fails because the canvas falls outside the visible area
: buffer-offscreen-test.html fails because the canvas falls outside the visible...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Canvas: WebGL (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla9
Assigned To: Benoit Jacob [:bjacob] (mostly away)
:
:
Mentors:
Depends on:
Blocks: webgl-conformance
  Show dependency treegraph
 
Reported: 2011-08-24 11:46 PDT by Benoit Jacob [:bjacob] (mostly away)
Modified: 2011-09-02 08:33 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix HTML in test runner (4.70 KB, patch)
2011-08-24 11:46 PDT, Benoit Jacob [:bjacob] (mostly away)
joe: review+
Details | Diff | Splinter Review

Description Benoit Jacob [:bjacob] (mostly away) 2011-08-24 11:46:28 PDT
Created attachment 555472 [details] [diff] [review]
fix HTML in test runner

This is really an issue with the HTML in our test runner.

Attached patch guarantees that the frame used for the test page gets the top-left 500x500 pixels of the window, which should eradicate this kind of errors.

And also, our HTML was definitely broken, with a <table> element that never was closed, so this patches fixes it and indents this code.
Comment 1 Benoit Jacob [:bjacob] (mostly away) 2011-08-24 12:57:42 PDT
Try: http://tbpl.allizom.org/?tree=Try&usebuildbot=1&rev=fffeac58b3e7
Comment 2 Benoit Jacob [:bjacob] (mostly away) 2011-09-01 12:32:19 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/1b633e26f8a3

Note You need to log in before you can comment on or make changes to this bug.